//* Main font styles
@mixin fontface($name, $file, $weight: normal, $style: normal){
  @font-face {
    font-family: "#{$name}";
    src: url('@/assets/fonts/base-font/#{$file}.ttf') format('truetype');
    font-weight: $weight;
    font-style: $style;
    font-display: swap;
  }
}

@include fontface('IBM Plex Sans', 'IBMPlexSans-Thin', 100, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-ThinItalic', 100, italic);
@include fontface('IBM Plex Sans', 'IBMPlexSans-ExtraLight', 200, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-ExtraLightItalic', 200, italic);
@include fontface('IBM Plex Sans', 'IBMPlexSans-Light', 300, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-LightItalic', 300, italic);
@include fontface('IBM Plex Sans', 'IBMPlexSans-Regular', 400, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-Italic', 400, italic);
@include fontface('IBM Plex Sans', 'IBMPlexSans-Medium', 500, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-MediumItalic', 500, italic);
@include fontface('IBM Plex Sans', 'IBMPlexSans-SemiBold', 600, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-SemiBoldItalic', 600, italic);
@include fontface('IBM Plex Sans', 'IBMPlexSans-Bold', 700, normal);
@include fontface('IBM Plex Sans', 'IBMPlexSans-BoldItalic', 700, italic);



@import "../variables";
.title-h1 {
  font-weight: var(--bold);
  font-size: var(--extra-large);
  line-height: var(--larger);
}
.title-h2 {
  font-weight: var(--normal);
  font-size: var(--larger);
  line-height: 31px;
}
.title-large {
  font-weight: var(--bold);
  font-size: var(--large);
  line-height: var(--larger);
}
.title-medium {
  font-weight: var(--bold);
  font-size: var(--base);
  line-height: var(--larger);
}
.title {
  font-weight: var(--normal);
  font-size: var(--base);
  line-height: var(--larger);
}
.title-caps-large {
  font-weight: var(--medium);
  font-size: var(--regular);
  line-height: var(--larger);
  letter-spacing: 0.065em;
  text-transform: uppercase;
}
.title-caps {
  font-weight: var(--normal);
  font-size: var(--regular);
  line-height: 2;
}

.caption {
  @extend .title;
  color: var(--gray);
}
.caption-small {
  @extend .caption;
  font-size: var(--regular);
}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 5000s ease-in-out 0s;
  -webkit-text-fill-color: var(--main-black);
}

h1, h2, h3, h4, h5, h6 {
  margin-bottom: 0;
  color: var(--main-black)
}
